Subject: Re: [its] Submitted new version of draft-petrescu-ipv6-over-80211p-05.txt

From: Suresh Krishnan <[email-masked]>
Date: Thu, 10 Nov 2016 22:51:31 +0000

Hi Megha,
Quick reply as I am about to depart to Seoul. I will let the chairs and the editor chime in with their views but I want to give you my opinion as the responsible AD.

The wg is not currently chartered to do IPv4 work. If people come up with a strong reason to do IPv4 work, it can be brought up during rechartering once we complete the current deliverables.

Thanks
Suresh

-----Original Message-----
From: Kedalagudde, Meghashree Dattatri [[email-masked]]
Received: Thursday, 10 Nov 2016, 2:42PM
To: 'Alexandre Petrescu' [[email-masked]]; [email-masked] [[email-masked]]
Subject: Re: [its] Submitted new version of draft-petrescu-ipv6-over-80211p-05.txt

Hello IPWAVErs,

Alex: Thank you for sharing the draft. I read through the new version and had a clarification question.

Including support for IPv4 over 802.11OCB. Can you elaborate on the use case or example for IPv4 support on 802.11OCB?

My understanding is IEEE 1609.x (0/3/4) documents mention only about IPv6 on 802.11OCB. I think it is important to understand why IPv4 support and optimizations is required in the draft.

In addition, with reference to the IAB statement on IPv6: https://www.iab.org/2016/11/07/iab-statement-on-ipv6/ 'Next -gen' standards and industry development needs to see increase in IPv6 deployments.

I still think the challenges/issues to support IPv6 over 802.11OCB should be the focus here, unless there is an absolute need to support IPv4 over 802.11OCB.

Please share your thoughts.

Thank you

Megha

-----Original Message-----

From: its [mailto:[email-masked]] On Behalf Of Alexandre Petrescu

Sent: Tuesday, November 08, 2016 6:27 AM

To: [email-masked]

Subject: Re: [its] Submitted new version of draft-petrescu-ipv6-over-80211p-05.txt

Hello IPWAVErs,

This merge brought in one particular aspect: IPv4. For example, the draft now mentions the use of an IPv4 Ethertype if carrying an IPv4 packet (in addition to the IPv6 Ethertype when carrying an IPv6 packet).

Another example is that the title now says "IP over ..." instead of

"IPv6 over..."

I would like to ask participants to the IPWAVE WG - what do you think about inclusion of IPv4 aspects in this draft? We need your comments in order to improve this draft.

Yours,

Alex

Le 31/10/2016 à 21:38, Alexandre Petrescu a écrit :

> Hello IPWAVErs,

> We submitted a new version of draft-petrescu-ipv6-over-80211p-05.txt.

> This is a merge including draft-ernst-its-ipv6-over-80211ocb-00,

> draft-haerri-ipv6-over-80211OCB-00 and

> draft-lee-its-ipv6-over-80211ocb-00. The new document contains a few

> other improvements. Notably, the comments received during the BoF

> were addressed.

> Comments are welcome.

> https://tools.ietf.org/html/draft-petrescu-ipv6-over-80211p-05

> Alex

> _______________________________________________

> its mailing list

> [email-masked]

> https://www.ietf.org/mailman/listinfo/its

_______________________________________________

its mailing list

[email-masked]

https://www.ietf.org/mailman/listinfo/its

_______________________________________________

its mailing list

[email-masked]

https://www.ietf.org/mailman/listinfo/its